{% extends './BackView.twig' %}

{% block title %}{{ trans('back.app.users_catalogue') }}{% endblock %}

{% block panel %}

    <!-- panel-item : DASHBOARD -->
    {{ include('/back/_partials/side-panels/panel-dashboards.twig') }}

    <!-- panel-item : USER -->
    <li class="sidebar-item">
        <a class="sidebar-link waves-effect waves-dark sidebar-link" href="{{ path_for('user.catalogue') }}" aria-expanded="false">
{#            <i data-feather="users" class="feather-icon"></i>#}
            <i class="pe-7s-users"></i>
            <span class="hide-menu">
                Users
            </span>
        </a>
    </li>

{% endblock %}

{% block content %}

    <!-- Bread crumb and right sidebar toggle -->
    <div class="page-breadcrumb">
        <div class="row">
            <div class="col-md-6 align-self-center">
                <div class="app-page-title">
                    <div class="page-title-wrapper">
                        <div class="page-title-heading">
                            <div class="page-title-icon">
                                <i class="pe-7s-users icon-gradient bg-mean-fruit"></i>
                            </div>
                            <div>Users Catalogue
                                <div class="page-title-subheading">
                                    This is an example of a users catalogue created using build-in elements and components.
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6 align-self-center d-none d-md-block">
                <button class="btn float-right btn-success" data-toggle="modal" data-target="#signup-modal">
                    <i class="mdi mdi-plus-circle"></i> Create
                </button>
            </div>
        </div>
    </div>

    <!-- Container fluid  -->
    <div class="container-fluid">

        <!-- Signup modal content -->
        <div id="signup-modal" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-body">
                        <div class="text-center mt-2 mb-4">
                            <a href="#" class="text-success">
                                <span>
                                    <img class="mr-2" src="/src/assets/images/back/logo-icon.png" alt="" height="18">
                                    <img src="/src/assets/images/back/logo-text.png" alt="" height="18">
                                </span>
                            </a>
                        </div>

                        <form action="{{ path_for('user.catalogue.add') }}" method="post" role="form" class="pl-3 pr-3">
                            <div class="row">
                                <div class="col-md-6">
                                    <!-- input : FIRST NAME -->
                                    <div class="form-group {{ errors.First-Name ? 'has-error' }} : '' ">
                                        <label for="First-Name">First Name</label>
                                        <input id="First-Name" name="First-Name" type="text" class="form-control" placeholder="What's your first name?" value="{{ old.First-Name }}">
                                        {%  if errors.First-Name %}
                                            <span class="help-block">{{ errors.First-Name | first }}</span>
                                        {% endif %}
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <!-- input : LAST NAME -->
                                    <div class="form-group {{ errors.Last-Name ? 'has-error' }} : '' ">
                                        <label for="Last-Name">Last Name</label>
                                        <input id="Last-Name" name="Last-Name" type="text" class="form-control" placeholder="What's your last name?" value="{{ old.Last-Name }}">
                                        {%  if errors.Last-Name %}
                                            <span class="help-block">{{ errors.Last-Name | first }}</span>
                                        {% endif %}
                                    </div>
                                </div>
                            </div>
                            <!-- input : EMAIL -->
                            <div class="form-group {{ errors.Email ? 'has-error' }} : '' ">
                                <label for="Email">Email address</label>
                                <input id="Email" name="Email" type="email" class="form-control" placeholder="john@doe.com" value="{{ old.Email }}">
                                {%  if errors.Email %}
                                    <span class="help-block">{{ errors.Email | first }}</span>
                                {% endif %}
                            </div>
                            <!-- input : PASSWORD -->
                            <div class="form-group {{ errors.Password ? 'has-error' }} : '' ">
                                <label for="Password">Password</label>
                                <input id="Password" name="Password" type="password" class="form-control" placeholder="Enter your password" autocomplete="off">
                                {%  if errors.Password %}
                                    <span class="help-block">{{ errors.Password | first }}</span>
                                {% endif %}
                            </div>
                            <!-- input : PASSWORD > CONFIRM -->
                            <div class="form-group {{ errors.Confirm-Password ? 'has-error' }} : '' ">
                                <label for="Confirm-Password">Confirm Password</label>
                                <input id="Confirm-Password" name="Confirm-Password" type="password" class="form-control" placeholder="Confirm your password" autocomplete="off">
                                {%  if errors.Confirm-Password %}
                                    <span class="help-block">{{ errors.Confirm-Password | first }}</span>
                                {% endif %}
                            </div>
                            <!-- btn : ACCEPT TERMS -->
                            <div class="form-group">
                                <div class="custom-control custom-checkbox">
                                    <input id="Accept" type="checkbox" class="custom-control-input">
                                    <label for="Accept" class="custom-control-label">
                                        I accept <a href="#">Terms and Conditions</a>
                                    </label>
                                </div>
                            </div>
                            <!-- btn : SUBMIT -->
                            <div class="form-group text-center">
                                <button id="create-user" class="btn btn-primary" type="submit">
                                    Submit
                                </button>
                                <!-- CSRF protection -->
                                {{ csrf.field | raw }}
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <!-- basic table -->
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="usersTable" class="table table-striped table-bordered no-wrap">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Phone</th>
                                        <th>Mobile</th>
                                        <th>Date</th>
                                        <th>Activation</th>
                                    </tr>
                                </thead>
                                <tbody>
                                {% for user in users %}
                                    <tr>
                                        <td>
                                            <div class="message-box">
                                                <div class="message-widget">
                                                    <a class="message-item d-flex align-items-center px-3 py-2">
                                                        <div class="w-75 d-inline-block v-middle pl-2">
                                                            <h5 class="message-title mb-0 mt-1">
                                                                {{ "#"~ user.id }}
                                                            </h5>
                                                        </div>
                                                    </a>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="message-box">
                                                <div class="message-widget">
                                                    <a class="message-item d-flex align-items-center px-3 py-2">
                                                        <span class="user-img position-relative d-inline-block">
                                                            <img src="{{ user.img_avatar }}" alt="user" class="rounded-circle w-100">
                                                            <span class="profile-status rounded-circle {% if user.status == 1 %}online{% endif %}{% if user.status == 2 %}away{% endif %}{% if user.status == 3 %}busy{% endif %}"></span>
                                                        </span>
                                                        <div class="w-75 d-inline-block v-middle pl-2">
                                                            <h5 class="message-title mb-0 mt-1">
                                                                {{ user.first_name ~" "~ user.middle_name ~" "~ user.last_name }}
                                                            </h5>
                                                            <span class="font-12 text-nowrap d-block text-muted text-truncate">
{#                                                                {{ user.permissions_level.name }}#}
                                                                role name
                                                            </span>
                                                        </div>
                                                    </a>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="message-box">
                                                <div class="message-widget">
                                                    <a class="message-item d-flex align-items-center px-3 py-2">
                                                        <div class="w-75 d-inline-block v-middle pl-2">
                                                            <h5 class="message-title mb-0 mt-1">
                                                                {{ user.email }}
                                                            </h5>
                                                        </div>
                                                    </a>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="message-box">
                                                <div class="message-widget">
                                                    <a class="message-item d-flex align-items-center px-3 py-2">
                                                        <div class="w-75 d-inline-block v-middle pl-2">
                                                            <h5 class="message-title mb-0 mt-1">
                                                                {{ user.contacts.tel_home }}
                                                            </h5>
                                                            <span class="font-12 text-nowrap d-block text-muted text-truncate">

                                                            </span>
                                                        </div>
                                                    </a>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="message-box">
                                                <div class="message-widget">
                                                    <a class="message-item d-flex align-items-center px-3 py-2">
                                                        <div class="w-75 d-inline-block v-middle pl-2">
                                                            <h5 class="message-title mb-0 mt-1">
                                                                {{ user.contacts.tel_mobile }}
                                                            </h5>
                                                            <span class="font-12 text-nowrap d-block text-muted text-truncate">
                                                                {% if user.contats.accepts_sms %}
                                                                    Accepts SMS
                                                                {% else %}
                                                                    NO TEXTS
                                                                {% endif %}
                                                            </span>
                                                        </div>
                                                    </a>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="message-box">
                                                <div class="message-widget">
                                                    <a class="message-item d-flex align-items-center px-3 py-2">
                                                        <div class="w-75 d-inline-block v-middle pl-2">
                                                            <h5 class="message-title mb-0 mt-1">
                                                                {{ user.updated_at }}
                                                            </h5>
                                                            <span class="font-12 text-nowrap d-block text-muted text-truncate">
                                                                {{ user.created_at }}
                                                            </span>
                                                        </div>
                                                    </a>
                                                </div>
                                            </div>
                                        </td>
                                        <td class="text-center" style="padding: 0 12px">
                                            <div class="action-btn ">
                                                {% if user.isActivated %}
                                                    <a class="text-success delete ml-2">
                                                        <i class="mdi mdi-check-circle-outline" style="font-size: 50px"></i>
                                                    </a>
                                                {% else %}
                                                    <div class="message-box">
                                                        <div class="message-widget">
                                                            <a class="message-item d-flex align-items-center px-3 py-2">
                                                                <div class="w-75 d-inline-block v-middle pl-2">
                                                                    <h5 class="message-title mb-0 mt-1">
                                                                        {{ user.token }}
                                                                    </h5>
                                                                </div>
                                                            </a>
                                                        </div>
                                                    </div>
                                                {% endif %}
                                            </div>
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
{#                                <tfoot>#}
{#                                    <tr>#}
{#                                        <th>Name</th>#}
{#                                        <th>Position</th>#}
{#                                        <th>Office</th>#}
{#                                        <th>Age</th>#}
{#                                        <th>Start date</th>#}
{#                                        <th>Salary</th>#}
{#                                    </tr>#}
{#                                </tfoot>#}
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

{%  endblock %}

{% block scripts %}

    <!-- page script -->
    <script>

        $(document).ready(function() {

            $(document).ready(function() {

                let table = $('#usersTable').DataTable();


            } );

        } );

    </script>

    <script>

        $( document ).ready(function() {

            !function ($) {
                "use strict";

                var SweetAlert = function () { };

                //examples
                SweetAlert.prototype.init = function () {

                    $("#sa-confirm").click(function () {
                        Swal.fire({
                            title: 'Are you sure?',
                            text: "You won't be able to revert this!",
                            type: 'warning',
                            showCancelButton: true,
                            confirmButtonColor: '#3085d6',
                            cancelButtonColor: '#d33',
                            confirmButtonText: 'Yes, delete it!'
                        }).then((result) => {
                            if (result.value) {
                                Swal.fire(
                                    'Deleted!',
                                    'Your file has been deleted.',
                                    'success'
                                )
                            }
                        })
                    });

                },
                    //init
                    $.SweetAlert = new SweetAlert, $.SweetAlert.Constructor = SweetAlert
            }(window.jQuery),

                //initializing
                function ($) {
                    "use strict";
                    $.SweetAlert.init()
                }(window.jQuery);
        }

    </script>

{% endblock %}